REM Movie Fader - Just like on some Camcorders
REM Created On November 18, 1996 by Rob Wineck
REM ********************************************************

nFrames& = 0
FadeIn% = 1
FadeValue% = 1
REM Default Fade Color is Black
'***********************************Dialog declaration
BEGIN DIALOG Fader 186, 98, "Opcje zanikania"
	TEXT  13, 10, 45, 20, "Pierwsza klatka: "
	SPINCONTROL  13, 29, 40, 15, startFrame%
	TEXT  70, 10, 41, 20, "Ostatnia klatka: "
	SPINCONTROL  70, 29, 40, 15, endFrame%
	OKBUTTON  69, 82, 50, 15
	CANCELBUTTON  130, 82, 50, 15
	OPTIONGROUP FadeIn%
		OPTIONBUTTON  118, 15, 58, 12, "Pojawianie si"
		OPTIONBUTTON  118, 27, 47, 14, "Zanikanie"
	GROUPBOX  4, 0, 176, 78
	SPINCONTROL  75, 56, 36, 15, Green%
	SPINCONTROL  24, 56, 36, 15, Red%
	SPINCONTROL  129, 56, 36, 15, Blue%
	TEXT  13, 47, 68, 9, "Kolor zanikania"
	TEXT  13, 60, 8, 8, "R:"
	TEXT  116, 60, 8, 8, "B:"
	TEXT  63, 60, 8, 8, "G:"
END DIALOG

'***************************Set defaults

label1 = "Ten skrypt tworzy efekt zanikania w kolejnych klatkach filmu." \\
					+ CHR(13)+CHR(10)+ CHR(13)+CHR(10)+ \\
					"UWAGA: Przed uruchomieniem skryptu naley w programie Corel PHOTO-PAINT otworzy plik filmu w skali szaroci lub z kolorami 24-bitowymi."
BEGIN DIALOG Dialog1 196, 87, "Zanikanie"
	GROUPBOX  2, 1, 191, 65
	TEXT  8, 9, 178, 51, label1
	OKBUTTON  109, 70, 40, 14
	CANCELBUTTON  153, 70, 40, 14
END DIALOG

ret = DIALOG(Dialog1)
' If Cancel is selected, stop the script
IF ret = 2 THEN STOP


WITHOBJECT "CorelPhotoPaint.Automation.8"
	
	nFrames = .GetFrameCount()
	if (nFrames < 1) then
		message "Ten skrypt mona uruchomi tylko dla filmw zawierajcych wiele klatek."
		STOP
	end if

	REM *** CHECK to see if valid movie type
	docType& = .GetDocumentType()
	if (docType <> 1) AND (docType <> 2) then
		message "Ten skrypt mona uruchomi tylko dla filmw w skali szaroci lub z kolorami 24-bitowymi."
		STOP
	endif	

	startFrame% = 1
	endFrame% = nFrames
	num%  = 0
	
	ret = DIALOG(Fader)
	IF ret = 2 THEN STOP
	IF startFrame < 1 THEN STOP
	IF endFrame < 1 THEN STOP
	IF endFrame < startFrame THEN STOP

	nFrames = (endFrame% - startFrame%) + 1
	REM Calculate the Fade Increment
	FadeValue% = 100 / nFrames
	REM the first frame we are working on
	.MovieGotoFrame startFrame%
	FOR i% = 1 to nFrames
		if FadeIn then
			num% = 100 - ( FadeValue * (i-1) )
			if num% < 0 then num% = 0
	  else
			num% = FadeValue% * i%
			if num% > 100 then num% = 100
		end if 
		.EditFill 0, num, 100, 1, 0, 0, 0, 0, 0, 0, 0
		.FillSolid 5, Red, Green, Blue, 0
		.EndEditFill 
		.MovieForwardOne
	NEXT i%

END WITHOBJECT
