REM Script for Building individual Numbered Files into a movie
REM Choose Load Image Type and Save to which Format

NumFrame% = 1
StartFrame% = 0
'default Base Name 
BaseName$ = "C:\pics\Test"
LoadType% = 1
' default movie Name
MovieName$ = "C:\pics\movie"
SaveType% = 1
Compression% = 0

' Feel Free to add more Filter Here
DIM LoadTypes$(7)
LoadTypes(1) = "CPT"
LoadTypes(2) = "BMP"
LoadTypes(3) = "TGA"
LoadTypes(4) = "PCX"
LoadTypes(5) = "TIF"
LoadTypes(6) = "JPG"
LoadTypes(7) = "GIF"

' All the movies Formats supported
DIM SaveTypes$(4)
SaveTypes(1) = "AVI"
SaveTypes(2) = "MPEG"
SaveTypes(3) = "MOV"
SaveTypes(4) = "GIF"

Note1 = "Wszystkie pliki musz mie ten sam format i ich nazwy musz spenia nastpujc regu:" \\
				 + CHR(13)+CHR(10)+ CHR(13)+CHR(10) + "NazwaPliku##.EXT" \\
				 + CHR(13)+CHR(10)+ CHR(13)+CHR(10) + "Przykad: "   \\
				 + CHR(13)+CHR(10)+ "C:\Plik0.CPT" \\
				 + CHR(13)+CHR(10)+ "C:\Plik1.CPT"

BEGIN DIALOG Movie 268, 159, "Kreator filmu"
	OKBUTTON  179, 142, 40, 14
	CANCELBUTTON  224, 142, 40, 14
	TEXTBOX  98, 12, 60, 14, BaseName$
	DDLISTBOX  98, 30, 60, 50, LoadTypes$, LoadType%
	SPINCONTROL  123, 66, 35, 14, NumFrame%
	SPINCONTROL  123, 47, 35, 14, StartFrame%
	TEXTBOX  58, 99, 100, 14, MovieName$
	DDLISTBOX  58, 119, 100, 50, SaveTypes$, SaveType%
	TEXT  12, 70, 86, 8, "Liczba klatek filmu:"
	GROUPBOX  4, 2, 162, 84, "Opcje klatki"
	TEXT  12, 52, 104, 8, "Rozpocznij od klatki o numerze:"
	TEXT  12, 16, 80, 8, "Nazwa podstawowa:"
	GROUPBOX  4, 88, 162, 50, "Opcje zapisywania"
	TEXT  12, 122, 40, 8, "Format:"
	TEXT  12, 103, 45, 8, "Nazwa pliku:"
	TEXT  12, 33, 80, 8, "Format plikw:"
	GROUPBOX  170, 2, 95, 136, "Uwaga:"
	TEXT  177, 13, 81, 119, Note1
END DIALOG

label1 = "Ten skrypt tworzy film na podstawie kolejno ponumerowanych plikw."
BEGIN DIALOG Dialog1 196, 74, "Kreator filmu"
	GROUPBOX  2, 1, 191, 53
	TEXT  8, 12, 178, 37, label1
	OKBUTTON  109, 57, 40, 14
	CANCELBUTTON  153, 57, 40, 14
END DIALOG

ret = DIALOG(Dialog1)
' If Cancel is selected, stop the script
IF ret = 2 THEN STOP

ret = DIALOG(Movie) 'displays Movie Dialog box
IF ret = 2 THEN STOP ' the Cancel Button
	
' Setup the Extensions
select case LoadType
	case 1
		NameExt$ = ".cpt"
	case 2
		NameExt$ = ".bmp"
	case 3
		NameExt$ = ".tga"
	case 4
		NameExt$ = ".pcx"
	case 5
		NameExt$ = ".tif"
	case 6
		NameExt$ = ".jpg"
	case 7
		NameExt$ = ".gif"
end select

WITHOBJECT "CorelPhotoPaint.Automation.8"

	'ltrim is used to remove leading spaces if any	 
	FileName$ = BaseName$ + ltrim(str(StartFrame)) + NameExt$  
	' Check if FileName Exists	
	ret = FileAttr(FileName$)
	if ret = 0 then
		 message "Plik " + FileName$ + " nie istnieje. Skrypt zakoczy dziaanie."
		stop
	end if
	.FileOpen FileName$, 0, 0, 0, 0, 0, 1, 1
  .MovieCreate
	
	Count% = 0
	for i = StartFrame+1 to (StartFrame + NumFrame)
		Count = Count + 1
		FileName$ = BaseName$ + ltrim(str(i)) + NameExt$  
  	.MovieInsertFile FileName$, 0, 0, 0, 0, 0, Count, FALSE
	next i
  
	' Get the Proper Filter ID and Extension
	select case SaveType
		case 1
			FilterID% = 1536
			NameExt$ = ".avi"
		case 2
			FilterID% = 1551
			NameExt$ = ".mpg"
		case 3
			FilterID% = 1542
			NameExt$ = ".mov"
		case 4
			FilterID% = 1558
			NameExt$ = ".gif"
	end select

	' Build the Save Name
	MovieName$ = MovieName$ + NameExt$
	.FileSave MovieName$, FilterID, TRUE
END WITHOBJECT

