REM Paste an Object to all Movie Frames
REM Updated on Aug 23, 1996 by Rob Wineck
REM ********************************************************

REM Array of Names - Room for 10, increase if you need more
DIM ObjNames(10) as STRING
NameVal% = 1
StartOpacity% = 100
EndOPacity% = 100

REM Set to FALSE if you don't want the dialog box
bWarning% = TRUE

BEGIN DIALOG PasteObject 193, 123, "Wklejanie obiektw do klatek filmu"
	TEXT  14, 17, 38, 16, "Pierwsza klatka"
	TEXT  14, 34, 36, 16, "Ostatnia klatka"
	SPINCONTROL  58, 18, 30, 13, nStart%
	SPINCONTROL  58, 36, 30, 14, nEnd%
	OKBUTTON  106, 106, 40, 14
	CANCELBUTTON  149, 106, 40, 14
	LISTBOX  105, 14, 84, 90, ObjNames, NameVal%
	GROUPBOX  5, 4, 95, 55, "Zakres klatek"
	SPINCONTROL  58, 78, 30, 14, StartOpacity%
	SPINCONTROL  58, 98, 30, 14, EndOpacity%
	TEXT  12, 77, 41, 16, "Krycie pocztkowe"
	TEXT  12, 96, 39, 16, "Krycie kocowe"
	TEXT  106, 4, 50, 8, "Wybierz obiekt"
	GROUPBOX  5, 65, 96, 55, "Ustawienia obiektu"
END DIALOG

label1 = "Ten skrypt spowoduje poczenie wszystkich obiektw z tem."  \\
					+ CHR(13)+CHR(10)+ CHR(13)+CHR(10)+ \\
					"UWAGA: Przed uruchomieniem skryptu naley w programie Corel PHOTO-PAINT otworzy plik filmu w skali szaroci lub z kolorami 24-bitowymi oraz upewni si, czy wszytkie obiekty znajduj si we waciwych miejscach."

BEGIN DIALOG Dialog1 196, 90, "Wklejanie do filmu"
	GROUPBOX  2, 1, 191, 69
	TEXT  8, 9, 178, 57, label1
	OKBUTTON  109, 74, 40, 14
	CANCELBUTTON  153, 74, 40, 14
END DIALOG

ret = DIALOG(Dialog1)
' If Cancel is selected, stop the script
IF ret = 2 THEN STOP

WITHOBJECT "CorelPhotoPaint.Automation.8"
	REM Get the Number of Frames in the Movie	
	nFrames% = .GetFrameCount()
	nStart% = 1
	nEnd% = nFrames

	if (nFrames = 0) THEN
		BEEP
		message "Ten skrypt mona uruchomi tylko dla plikw filmu"
		STOP
	ENDIF
	
	nObjects% = .GetObjectCount()
	if (nObjects = 0) then
		BEEP
		message "Ten skrypt wymaga obiektw"
		STOP
	endif

	'Make the Pick Tool Active
	.SetActiveTool 34501
	
	FOR i% = 1 TO nObjects 
		ObjNames(i%) = .GetObjectName(i%)
	NEXT i%

	REM Do the Dialog. No error checking so enter proper values
	ret2 = DIALOG(PasteObject)
	IF ret2 = 2 THEN STOP

	REM Select the Chosen Object, and make a shadow for it
	.ObjectSelectNone
	.ObjectSelect NameVal, -1
	.GetObjectRectangle NameVal, oLeft&, oTop&, oRight&, oBottom&
	.EditCut
	
	REM Calculate Fade Factor
	increment& = (EndOpacity - StartOpacity) / ((nEnd - nStart) + 1)
	
	For i% = nStart to nEnd	
		.MovieGotoFrame i
		.EditPasteObject oLeft, oBottom, "" 
		.ObjectSelectNone 
		.ObjectSelect nObjects, -1
		.ObjectOpacity StartOpacity + (i - nStart) * increment
		.ObjectMerge 0
	Next i
END WITHOBJECT
